# array_key_exists

(PHP 4 >= 4.0.7, PHP 5, PHP 7)

array_key_exists — Checks if the given key or index exists in the array

### Description

array_key_exists ( mixed `$key` , array `$array` ) : bool

array_key_exists() returns `TRUE` if the given `key` is set in the array. `key` can be any value possible for an array index.

### Parameters

`key`

  Value to check.

`array`

  An array with keys to check.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

> Note:

> array_key_exists() will search for the keys in the first dimension only. Nested keys in multidimensional arrays will not be found.

### Examples

Example #1 array_key_exists() example

`<?php
$search_array = array('first' => 1, 'second' => 4);
if (array_key_exists('first', $search_array)) {
echo "The 'first' element is in the array";
}
?>`

Example #2 array_key_exists() vs isset()

isset() does not return `TRUE` for array keys that correspond to a `NULL` value, while array_key_exists() does.

`<?php
$search_array = array('first' => null, 'second' => 4);
// returns false
isset($search_array['first']);
// returns true
array_key_exists('first', $search_array);
?>`

### Notes

> Note:

> For backward compatibility reasons, array_key_exists() will also return `TRUE` if `key` is a property defined within an object given as `array`. This behaviour should not be relied upon, and care should be taken to ensure that `array` is an array.

> To check whether a property exists in an object, use property_exists().

### See Also

- isset() - Determine if a variable is declared and is different than NULL
- array_keys() - Return all the keys or a subset of the keys of an array
- in_array() - Checks if a value exists in an array
- property_exists() - Checks if the object or class has a property